This page was not yet optimized for use on mobile devices.
Ubuntu 18.04 Kernel Crypto API Cryptographic Module
Certificate details
| Certificate ID | #4596 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 13.09.2023 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode |
| Exceptions |
|
| Description | The Ubuntu 18.04 Kernel Crypto API module is a software module running as part of the operating system kernel that provides general purpose cryptographic services. |
| Tested configurations |
|
| Vendor | Canonical Ltd. http://www.canonical.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-192, AES-256, AES-, DES, Triple-DES, TDEA, HMAC, HMAC-SHA-512, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-384, CMACAsymmetric Algorithms
Diffie-Hellman, DSAHash functions
SHA-1, SHA1, SHA-224, SHA-256, SHA-384, SHA-512, SHA3-224, SHA3-256, SHA3-384, SHA3-512, SHA3Schemes
MAC, Key Exchange, Key AgreementProtocols
IKE, IKEv2, IPsecRandomness
DRBG, RNGBlock cipher modes
ECB, CBC, CTR, GCM, CCM, XTSSecurity level
Level 1, level 1Standards
FIPS 140-2, FIPS PUB 140-2, FIPS197, FIPS198-1, FIPS186-4, FIPS180-4, FIPS 202, FIPS 198-1, FIPS140-2, SP 800-38F, SP 800-57, PKCS#1, RFC4106, RFC6071, RFC7296, X.509Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4596,
"dgst": "2bde19bfd8f894f5",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES#C762",
"AES#C759",
"HMAC#C755",
"#C757",
"Triple-DES#C758",
"AES#C755",
"KTS#C767",
"#C768",
"Triple-DES#C755",
"AES#C764",
"KTS#C768",
"KTS#C766",
"AES#C763",
"#C676",
"DRBG#C767",
"#C755",
"SHS#C767",
"AES#C756",
"KTS#C758",
"RSA#C755",
"HMAC#C766",
"#C771",
"RSA#C768",
"AES#C758",
"DRBG#C768",
"RSA#C766",
"SHA-3#C755",
"HMAC#C768",
"#C669",
"#C756",
"#C758",
"#C765",
"AES#C757",
"#C766",
"AES#C760",
"HMAC#C767",
"#C767",
"#C761",
"#C763",
"DRBG#C755",
"#C764",
"#C760",
"DRBG#C761",
"KTS#C755",
"SHS#C768",
"SHS#C755",
"#C673",
"RSA#C767",
"DRBG#C766",
"AES#C765",
"#C762",
"AES#C761",
"DRBG#C758",
"#760",
"SHS#C766",
"#C759"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"18.04"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 42,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"FF": {
"DH": {
"Diffie-Hellman": 8
},
"DSA": {
"DSA": 1
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 11
},
"CCM": {
"CCM": 7
},
"CTR": {
"CTR": 10
},
"ECB": {
"ECB": 9
},
"GCM": {
"GCM": 18
},
"XTS": {
"XTS": 6
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKE": 1,
"IKEv2": 1
},
"IPsec": {
"IPsec": 3
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 2
},
"KEX": {
"Key Exchange": 2
},
"MAC": {
"MAC": 7
}
},
"device_model": {},
"ecc_curve": {},
"eval_facility": {
"atsec": {
"atsec": 38
}
},
"fips_cert_id": {
"Cert": {
"#760": 1
}
},
"fips_certlike": {
"Certlike": {
"AES key 128, 192": 1,
"AES-128": 3,
"AES-192": 2,
"AES-256": 2,
"HMAC-SHA-1": 2,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 6,
"HMACSHA-512": 1,
"PKCS#1": 2,
"SHA-1": 7,
"SHA-224": 5,
"SHA-256": 10,
"SHA-384": 7,
"SHA-512": 6,
"SHA-512 1024": 1,
"SHA-512 112": 1,
"SHA1": 1,
"SHA3": 3,
"SHA3-224": 4,
"SHA3-256": 2,
"SHA3-384": 4,
"SHA3-512": 2
}
},
"fips_security_level": {
"Level": {
"Level 1": 2,
"level 1": 3
}
},
"hash_function": {
"SHA": {
"SHA1": {
"SHA-1": 7,
"SHA1": 1
},
"SHA2": {
"SHA-224": 5,
"SHA-256": 10,
"SHA-384": 7,
"SHA-512": 8
},
"SHA3": {
"SHA3": 3,
"SHA3-224": 4,
"SHA3-256": 2,
"SHA3-384": 4,
"SHA3-512": 2
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 18
},
"RNG": {
"RNG": 4
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 47,
"FIPS 198-1": 1,
"FIPS 202": 1,
"FIPS PUB 140-2": 3,
"FIPS140-2": 1,
"FIPS180-4": 3,
"FIPS186-4": 2,
"FIPS197": 4,
"FIPS198-1": 3
},
"NIST": {
"SP 800-38F": 2,
"SP 800-57": 1
},
"PKCS": {
"PKCS#1": 1
},
"RFC": {
"RFC4106": 8,
"RFC6071": 1,
"RFC7296": 1
},
"X509": {
"X.509": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 67,
"AES-": 1,
"AES-128": 3,
"AES-192": 2,
"AES-256": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"Triple-DES": 33
},
"DES": {
"DES": 2
}
},
"constructions": {
"MAC": {
"CMAC": 9,
"HMAC": 27,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 1,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 3
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES#C762",
"AES#C759",
"HMAC#C755",
"Triple-DES#C758",
"AES#C755",
"KTS#C767",
"Triple-DES#C755",
"AES#C764",
"KTS#C768",
"KTS#C766",
"AES#C763",
"DRBG#C767",
"SHS#C767",
"AES#C756",
"KTS#C758",
"RSA#C755",
"HMAC#C766",
"RSA#C768",
"AES#C758",
"DRBG#C768",
"RSA#C766",
"SHA-3#C755",
"HMAC#C768",
"AES#C757",
"AES#C760",
"HMAC#C767",
"DRBG#C755",
"DRBG#C761",
"KTS#C755",
"SHS#C768",
"SHS#C755",
"RSA#C767",
"DRBG#C766",
"AES#C765",
"AES#C761",
"DRBG#C758",
"SHS#C766"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#C757",
"#C768",
"#C676",
"#C755",
"#C771",
"#C669",
"#C756",
"#C758",
"#C765",
"#C766",
"#C767",
"#C761",
"#C763",
"#C764",
"#C760",
"#C673",
"#C762",
"#760",
"#C759"
]
},
"policy_metadata": {
"/Author": "Alejandro Fabio Masino",
"/CreationDate": "D:20230906203221+00\u002700\u0027",
"/Creator": "Microsoft Word",
"/ModDate": "D:20230906203221+00\u002700\u0027",
"/Title": "FIPS 140-2 Non-Proprietary Security Policy",
"pdf_file_size_bytes": 594121,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
"https://tools.ietf.org/html/rfc6071",
"http://www.ietf.org/rfc/rfc3447.txt",
"https://tools.ietf.org/html/rfc7296",
"http://csrc.nist.gov/publications/fips/fips140-2/fips1402.pdf",
"https://tools.ietf.org/html/rfc4106",
"http://csrc.nist.gov/groups/STM/cmvp/documents/fips140-2/FIPS1402IG.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38D/SP-800-38D.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38E/nist-sp-800-38E.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38c.pdf",
"http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
"http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-67-Rev1/SP-800-67-Rev1.pdf",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38a/sp800-38a.pdf",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38B/SP_800-38B.pdf",
"https://www.ubuntu.com/contact-us",
"mailto:[email protected]",
"http://www.chronox.de/crypto-API/crypto/architecture.html",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-131Ar1.pdf",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 36
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "749c73b7586a8ff6205db9e2265f6f26c42e8b1b347db8fb3e4e1bd7c32fbd57",
"source_hash": "024e82172b708d35a78c84cb69ce170c97dbe6acb8efabde5ec08a3477a4b4f6",
"txt_hash": "420ff62786efcf6d80f8de3273161935a6f0c544b5764f56073ee9c81b5ce9fb"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/September 2023_101023_1100 signed (2).pdf",
"date_sunset": null,
"description": "The Ubuntu 18.04 Kernel Crypto API module is a software module running as part of the operating system kernel that provides general purpose cryptographic services.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Ubuntu 18.04 Kernel Crypto API Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "2.0",
"tested_conf": [
"Ubuntu 18.04 LTS 64-bit running on Supermicro SYS-5018R-WR with Intel Xeon CPU E5 with PAA",
"Ubuntu 18.04 LTS 64-bit running on Supermicro SYS-5018R-WR with Intel Xeon CPU E5 without PAA"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-09-13",
"lab": "atsec information security corporation",
"validation_type": "Initial"
}
],
"vendor": "Canonical Ltd.",
"vendor_url": "http://www.canonical.com"
}
}